//
//
//

#pragma once

#include "ry0/iPTd/CommandRunner.h"

namespace ry0
{
namespace iPTd
{

Raym::Array *STR_ARRAY(const char *str, ...);

class FFmpeg : public CommandRunner
{
private:


protected:
    FFmpeg();
    ~FFmpeg();

    virtual bool readLine(Raym::String *line);

public:
    static FFmpeg *alloc();
    FFmpeg *init();
    FFmpeg *retain();
    FFmpeg *autorelease();

//    void setSource(Raym::String *source);
//    void setOutput(Raym::String *output);

    bool start();

    virtual const char *className();
};

} // iPTd
} // ry0
